type TypeResponse = {
  success: boolean,
  msg: string,
  data: object | null
}

type TypeUserResponse = {
  success: boolean,
  msg: string,
  data: {
    id: number,
    activityId: number ,
    lineUserId: string,
    lineName: string,
    picUrl: string,
    userStatus: number,
    agreePolicy: number,
    taxFiled: number,
    totalPrize: number,
    cdate: string
  }
}

type TypeCoupon = {
  title: string,
  subTitle: string,
  keyValue: string,
  totalPrize: number,
  processStatus: number, // 狀態 => 0:待領取（空白）1:待專人聯繫 2:待同意 3:已同意&已領取 4:已同意&已領取
  cdate: string
}

type TypeCouponItem = {
  id: number,
  campaignId: number,
  activityId: number,
  title: string,
  subTitle: string,
  keyValue: string,
  pin: string,
  activityCheckCode: string,
  used: number,
  userId: number,
  useDate: string,
  city: string,
  area: string,
  store: string,
  processStatus: number, // 狀態 => 0:待領取（空白）1:待專人聯繫 2:待同意 3:已同意&已領取 4:已同意&已領取
  cdate: string
}

type TypeCouponResponse = {
  success: boolean,
  msg: "ok",
  data: TypeCoupon
}

type TypeCouponListResponse = {
  success: boolean,
  msg: "ok",
  data: TypeCouponItem[]
}

type TypeRedeemCouponResponse = {
  success: boolean,
  msg: string,
  data: {
    quoteId: number
  }
}
